<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect(action('MarkController@rankingHome'));
});

Auth::routes();

Route::prefix('app')->group(function () {
    Route::get('status', 'MarkController@status')->name('status');
    Route::get('pause', 'MarkController@pause')->name('pause');
    Route::get('resume', 'MarkController@resume')->name('resume');
    Route::get('reload', 'MarkController@reload')->name('reload');
    Route::get('ranking', 'MarkController@rankingHome');
    Route::get('ranking/{label}', 'MarkController@ranking');
    Route::get('evidence/{id}/data/{data_id}', 'MarkController@evidenceData');
    Route::get('evidence/{id}', 'MarkController@evidence');
});


Route::prefix('api')->group(function () {
    Route::get('status', function () {
        $c = new \Cylab\Mark\Client();
        return $c->status();
    });
});
